//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "Main.h"
#include "Printers.hpp"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TMainForm *MainForm;
//---------------------------------------------------------------------------
__fastcall TMainForm::TMainForm(TComponent* Owner)
	: TForm(Owner)
{
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::FormCreate(TObject *Sender)
{
	Application->OnHint = ShowHint;
    Memo1->Clear();
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::ShowHint(TObject *Sender)
{
	StatusLine->SimpleText = Application->Hint;
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::FileNew(TObject *Sender)
{
	//--- Ajoute le code pour crer un nouveau fichier ---
    Memo1->Clear();
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::FileOpen(TObject *Sender)
{
	if (OpenDialog->Execute())
	{
		//---- Ajouter le code pour ouvrir OpenDialog->FileName ----
        Memo1->Lines->LoadFromFile(OpenDialog->FileName);
	}
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::FileSave(TObject *Sender)
{
	//---- Ajoute le code pour enregistrer le fichier avec le nom en cours ----
    Memo1->Lines->SaveToFile(SaveDialog->FileName);
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::FileSaveAs(TObject *Sender)
{
	if (SaveDialog->Execute())
	{
		//--- Ajouter le code pour enregistrer le fichier en cours sous SaveDialog->FileName ---
        Memo1->Lines->SaveToFile(SaveDialog->FileName);
	}
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::FilePrint(TObject *Sender)
{
	if (PrintDialog->Execute())
	{
		//---- Ajoute le code pour imprimer le fichier en cours ----
        Printer()->EndDoc();

	}
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::FilePrintSetup(TObject *Sender)
{
	PrintSetupDialog->Execute();
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::FileExit(TObject *Sender)
{
	Close();
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::EditUndo(TObject *Sender)
{
	//---- Ajoute le code pour effectuer Edition Dfaire ----
    SendMessage(Memo1->Handle,WM_UNDO,0,0);
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::EditCut(TObject *Sender)
{
	//---- Ajoute le code pour effectuer Edition Couper ----
    Memo1->CutToClipboard();
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::EditCopy(TObject *Sender)
{
	//--- Ajoute le code pour effectuer Edition Copier ----
    Memo1->CopyToClipboard();
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::EditPaste(TObject *Sender)
{
	//---- Ajoute le code pour effectuer Edition Coller ----
    Memo1->PasteFromClipboard();
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::WindowTile(TObject *Sender)
{
	Tile();
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::WindowCascade(TObject *Sender)
{
	Cascade();
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::WindowArrange(TObject *Sender)
{
	ArrangeIcons();
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::HelpContents(TObject *Sender)
{
	Application->HelpCommand(HELP_CONTENTS, 0);
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::HelpSearch(TObject *Sender)
{
	Application->HelpCommand(HELP_PARTIALKEY, Longint(""));
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::HelpHowToUse(TObject *Sender)
{
	Application->HelpCommand(HELP_HELPONHELP, 0);
}
//----------------------------------------------------------------------------
void __fastcall TMainForm::HelpAbout(TObject *Sender)
{
	//---- Ajoute le code pour montrer la bote A propos ----
    Application->MessageBox("C'est moi qui l'ai fait...","About",MB_OK);
}
//----------------------------------------------------------------------------
